| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Member Functions | Static Public Member Functions | Static Public Attributes
Tp::ProfileManager Class Reference

The ProfileManager class provides helper methods to retrieve Profile objects. More...

`#include <TelepathyQt/ProfileManager>`

Inherits Tp::Object, and Tp::ReadyObject.

List of all members.

## Public Member Functions

- ~ProfileManager ()
- QList< ProfilePtr > profiles () const
- QList< ProfilePtr > profilesForCM (const QString &cmName) const
- QList< ProfilePtr > profilesForProtocol (const QString &protocolName) const
- ProfilePtr profileForService (const QString &serviceName) const

## Static Public Member Functions

- static ProfileManagerPtr create (const QDBusConnection &bus=QDBusConnection::sessionBus())

## Static Public Attributes

- static const Feature FeatureCore
- static const Feature FeatureFakeProfiles

## Detailed Description

The ProfileManager class provides helper methods to retrieve Profile objects.

## Constructor & Destructor Documentation

Tp::ProfileManager::~ProfileManager | ( |  | ) |

Class destructor.

## Member Function Documentation

ProfileManagerPtr Tp::ProfileManager::create | ( | const QDBusConnection & | bus = `QDBusConnection::sessionBus()` | ) | `[static]`

Create a new ProfileManager object.

QList< ProfilePtr > Tp::ProfileManager::profiles | ( |  | ) | const

Return a list of all available profiles.

Returns:
  A list of all available profiles.

QList< ProfilePtr > Tp::ProfileManager::profilesForCM | ( | const QString & | cmName | ) | const

Return a list of all available profiles for a given connection manager.

Parameters:

  cmName | Connection manager name.

Returns:
  A list of all available profiles for a given connection manager.

QList< ProfilePtr > Tp::ProfileManager::profilesForProtocol | ( | const QString & | protocolName | ) | const

Return a list of all available profiles for a given protocol.

Parameters:

  protocolName | Protocol name.

Returns:
  A list of all available profiles for a given protocol.

ProfilePtr Tp::ProfileManager::profileForService | ( | const QString & | serviceName | ) | const

Return the profile for a given service.

Parameters:

  serviceName | Service name.

Returns:
  The profile for service.

## Member Data Documentation

const Feature Tp::ProfileManager::FeatureCore`[static]`

Feature representing the core that needs to become ready to make the ProfileManager object usable.

Note that this feature must be enabled in order to use all ProfileManager methods.

When calling isReady(), becomeReady(), this feature is implicitly added to the requested features.

const Feature Tp::ProfileManager::FeatureFakeProfiles`[static]`

Enabling this feature will make ProfileManager create fake Profile objects to all protocols supported on the installed connection managers, even if they don't have .profile files installed making use of them.

Fake profiles are identified by Profile::isFake() returning `true`.

The fake profile will contain the following info:

- Profile::type() will return "IM"
- Profile::provider() will return an empty string
- Profile::serviceName() will return cmName-protocolName
- Profile::name() and Profile::protocolName() will return protocolName
- Profile::iconName() will return "im-protocolName"
- Profile::cmName() will return cmName
- Profile::parameters() will return a list matching CM default parameters for protocol with name protocolName.
- Profile::presences() will return an empty list and Profile::allowOtherPresences() will return `true`, meaning that CM presences should be used
- Profile::unsupportedChannelClassSpecs() will return an empty list

Where cmName and protocolName are the name of the connection manager and the name of the protocol for which this fake Profile is created, respectively.